DELETE /api/v202101/meter/{meterId}/channel/{channelId}/version/{versionId}

Delete a channel version There must always be one version on a channel If you try and delete the only version on a channel an exception will occur

DeleteChannelVersionV202101 Permissions: Meters (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Id of the meter the channel is linked to integer (int32) Required
channelId Id of the channel the version is linked to integer (int32) Required
versionId Id of the channel version to delete integer (int32) Required

Responses

204 No Content The request succeeded. No content is returned in the response body.